# GetBandwidthAnalytics

Returns bandwidth analytics over time.

This operation is an extension to the standard S3 API, and is implemented to provide more information to the about their usage.

### Request <a href="#request" id="request"></a>

```http
GET /?bandwidthAnalytics&fromDate=FromDate&toDate=ToDate HTTP/1.1
```

### Response

**Headings**

The response can only contain [general headers](/http-api-compatible-with-amazon-s3/api-reference/common-response-headers.md) .

**Response codes**

For a list of possible answers, see the [Answers](/http-api-compatible-with-amazon-s3/api-reference/answers.md) section .

The successful response contains additional data in XML format, the schema of which is described below.

**Data schema**

```markup
<?xml version="1.0" encoding="UTF-8"?>
<BandwidthAnalytics>
  <Record>
    <Date>2021-08-13</Date>
    <UploadBandwidth>0</UploadBandwidth>
    <UploadBandwidthReadable>0 B</UploadBandwidthReadable>
    <DownloadBandwidth>15000000</DownloadBandwidth>
    <DownloadBandwidthReadable>15 MB</DownloadBandwidthReadable>
  </Record>
  ...
</BandwidthAnalytics>
```

| Element                     | Description                                                                                                                                                       |
| --------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `BandwidthAnalytics`        | Root element.                                                                                                                                                     |
| `Record`                    | Array of records of analytics. There is only one record for a day, but if no bandwidth was used for a specific day then no record for that day will be available. |
| `Date`                      | Date of the record                                                                                                                                                |
| `UploadBandwidth`           | Upload bandwidth represented as bytes.                                                                                                                            |
| `UploadBandwidthReadable`   | Readable upload bandwidth.                                                                                                                                        |
| `DownloadBandwidth`         | Download bandwidth represented as bytes.                                                                                                                          |
| `DownloadBandwidthReadable` | Readable download bandwidth.                                                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/analytics/bandwidth-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
